;*************************************************************
; Tlacitko TlA0 zhasne LED0, TlA1 LED0 rozsviti
;*************************************************************
; PVKpro DIP SW4/1 - OFF, DIP SW5 - ON
; K portu A 1/0 pripojena bezzakmitova tlacitka TlA1/0
; aby LED svitila, musi byt RA4 v L
;*************************************************************
; Definice symbolu
;*************************************************************
PortA	equ	05h
TrisA	equ	05h
PortB	equ	06h
TrisB	equ	06h
SWR	equ	03h
;.............................................................
#define	RP0	SWR,5		;volba stranky pameti dat
#define	Tla0	PortA,0		;vstup s tlacitkem Tla0
#define	Tla1	PortA,1		;vstup s tlacitkem Tla1
#define	NLED0	PortB,0		;katoda LED0
#define	NALED	PortA,4		;anody LED
;*************************************************************
	org	0000h
;.............................................................
; inicializace portu
;.............................................................
start	movlw	01h		;PortB0  vystupy v H
	movwf	PortB		;(LED0 zhasnuta)
	movlw	0fh		;PortA4 vystup v L
	movwf	PortA		;(anody LED diod k napajeni)
	bsf	RP0		;konfigurace I/O vyvodu
	movlw	B'11111110'	;PortB0 vystup
	movwf	TrisB
	movlw	B'00001111'	;PortA4 vystup
	movwf	TrisA
	bcf	RP0
;.............................................................
hl1	btfsc	Tla0		;test - stisknute Tla0?
	goto	hl3		; ANO - zhasni LED0
	btfss	Tla1		;test - stisknute Tla1
	goto	hl1		
	bcf	NLED0		; ANO - rozsvit LED0
hl2	btfsc	Tla1		;cekej na uvolneni Tla1
	goto	hl2
	goto	hl1
;.............................................................
hl3	bsf	NLED0		;zhasni LED0	
hl4	btfsc	Tla0		;cekej na uvolneni Tla0
	goto	hl4
	goto	hl1
;*************************************************************
	end
