;***************************************************************
; PRECTE IRREC A ZJISTI, JE-LI V LOW. POKUD JE V HIGH - NENI
; VYSILANO A PP SE UKONCI. 
; POKUD JE V LOW NEJMENE 200 ms POVAZUJE SE TO ZA VYSILANI A 
; PROVADI SE CTENI VYSILANEHO KODU
; PRIJATY KOD JE V IRCOD1 A IRCOD, VE W REGISTRU SE VRACI KOD
; UKONCENI PODPROGRAMU
;...............................................................
; vraci ve W
; 0Ch - neni vysilano
; 00h - Up
; 01h - Down
; 02h - mute
; 03h - power
; 04H - RUSENI - NULA TRVALA MENE NEZ 200 ms
; 05H - NESPRAVNA 1. CAST PRIJATEHO KODU (PRVNI 4 BITY)
; 06H - NESPRAVNA 2. CAST PRIJATEHO KODU (NASLEDUJICICH 8 BITU)
; 07H - VYSLANO MENE NEZ 12 BITu, NEBO MEZERA MEZI BITY
; pokud bylo vysilani preruseno, po 1.8 ms ukonci tento PP SVOU
; CINNOST
;...............................................................
; RA0 konfigurovany jako vstup (vstup z prijimace IR)
;***************************************************************
; Definice symbolu
;*******************************************
C	EQU	0		;bit 0 SWR
Z	EQU	2		;bit 2 SWR
;...............................................................
f	EQU	1		;registr jako destination
W	EQU	0		;W registr jako destination
SWR	EQU	03H		;registr SWR
PA	EQU	05h		;registr PA
TMP	EQU	10h
BITS	EQU	11h
;...............................................................	
IRCOD	EQU	12h		;IR CODE LOW
IRCOD1	EQU	13h		;IR CODE HIGH
;...............................................................
RDIR	RRF	PA,W		;IR REC = 0 ? VYSILA DALKOVE OVLADANI
	BTFSC	SWR,C
	RETLW	0CH     	;DALKOVE OVLADANI NEVYSILA (TRVA 4 us)
	MOVLW	0CH
	MOVWF	BITS
	CLRF	IRCOD   	;VYNULUJ IRCOD A IRCOD1
	CLRF	IRCOD1
IR	MOVLW	0E4H
	MOVWF	TMP
IR0	INCF	TMP,f
	BZ	IR1		;NULA TRVALA 201 us
	RRF	PA,W
	BTFSS	SWR,C
	GOTO	IR0
	RETLW	04H		;SLO O RUSENI
;...............................................................
IR1	MOVLW	60H     	;CEKEJ 644 us
	MOVWF	TMP
IR2	INCF	TMP,f
	BNZ	IR2
;.................. 
	RRF	PA,W		;sejmi stav IR REC
	RLF	IRCOD,f
	RLF	IRCOD1,f
	DECFSZ	BITS,f
	GOTO	IR4
	MOVLW	03h		;JSOU NACTENY VSECHNY BITY
	XORWF	IRCOD1,W
	BZ	IR3
	MOVLW	02h
	XORWF	IRCOD1,W
	BTFSS	SWR,Z
	RETLW	05h		;NESPRAVNA  1. CAST KODU
	MOVLW	0DFH
	XORWF	IRCOD,W
	BTFSC	SWR,Z
	RETLW 	00h		;Up
	MOVLW	0EFh
	XORWF	IRCOD,W
	BTFSC	SWR,Z
	RETLW	01h		;Down
	RETLW	05h
;.................. 
IR3	MOVLW	6Fh
	XORWF	IRCOD,W
	BTFSC	SWR,Z
	RETLW	02h		;mute
	MOVLW	5Fh
	XORWF	IRCOD,W
	BTFSC	SWR,Z
	RETLW	03h		;POWER
	RETLW	06h		;NESPRAVNA  2. CAST KODU
;...............................................................
IR4	RRF	PA,W
	BNC	IR4
	CLRF	TMP		;CEKEJ NA PRICHOD IR REC = 0
IR5	INCF	TMP,f		;CEKEJ NEJDELE 1.8 us
	BTFSC	SWR,Z
	RETLW	07H     	;VYSILANI BYLO UKONCENO DRIVE
	RRF	PA,W
	BTFSC	SWR,C
	GOTO	IR5
	GOTO	IR
;...............................................................
	END
