;**********************************************************
; PortB3/0 jsou vstupy
;*************************************************************
; Podprogram snimani stavu vstupu
;*************************************************************
; Pouzite symboly
;*************************************************************
REGIO	equ	10h
CAS0	equ	11h
CAS1	equ	12h
PortB	equ	06h
SWR	equ	03h
f	equ	1
w	equ	0
;.............................................................
konst0	equ	.100
konst1	equ	.1
;.............................................................
#define	Z	 SWR,2
;*************************************************************
scank2	movfw	PortB		;stav vstupu do REGIO
	andlw	0fh
	movwf	REGIO
	call	cekej		;cekej
	movfw	PortB		;test - zmenil se stav vstupu
	andlw	0fh		;zamaskuj nepouzite bity
	subwf	REGIO,w
	btfsc	Z
	return
	goto	scank2
;*************************************************************
; podprogram cekani
;.............................................................
; pro generator hodin 3.2768 MHz
; CAS1,CAS0 = 00 01  je cas 12.2 mikrosekundy
; 00 64  (.100)      je cas 374 mikrosekund
; 64 00              je cas 95.25 ms
;*************************************************************
cekej	movlw	konst0		;napln registry casu
	movwf	CAS0
	movlw	konst1
	movwf	CAS1
;.............................................................
cek1	decfsz	CAS0,f
	goto	cek1
	movfw	CAS1		;je-li CAS1 = 00, konec PP
	btfsc	Z
	return
	decf	CAS1,f		;jinak CAS1 = CAS1 - 1
	goto	cek1
;*************************************************************
	end
