;*******************************************
; Definice symbolu
;*******************************************
f	equ	1
SWR	equ	03h
PortB	equ	06h
CAS	equ	10h
RDAT1	equ	11h
RDAT0	equ	12h
POCET	equ	13h
#define	CLK	PortB,1
#define	DO	PortB,2
#define	C	SWR,0
Bd9600	equ	1fh
pocetb	equ	.16
;******************************************
; Podprogram cekani
; konstanta ve W = (pozadovany cas-5)/3
;******************************************
cekej	movwf	CAS
cek1	decfsz	CAS,f	
	goto	cek1
	return
;************************************************
; Podprogram vyslani dat ve formatu SPI
; PortB bit 1 a 0 (CLK, DO) bude konfigurovan jako vystup
;************************************************
spitxd	movlw	pocetb+1
	movwf	POCET
spitx1	rrf	RDAT1,f		;vysli datovy bit
	rrf	RDAT0,f
	btfsc	C
	bsf	DO
	btfss	C
	bcf	DO
	bsf	CLK		;CLK do H		
	movlw	(Bd9600/2)-2
	call	cekej
	bcf	CLK		;CLK do L
	movlw	Bd9600/2
	call	cekej
	decfsz	POCET,f
	goto	spitx1
	return
;******************************************	
	end
