;**************************************************************
; Vypocet CRC
;..............................................................
; podprogram provede pripocteni dat z bytu T_RDS k CRC
; Na zacatku vypoctu musime nastavit CRC na 00h
;**************************************************************
; definice symbolu
;**************************************************************
;**************************************************************
SWR	equ	03h
CTBIT	equ	10h
T_RDS	equ	11h
TMP	equ	12h
CRC	equ	13h
f	equ	1
#define	C	SWR,0
;**************************************************************
vypcrc	movlw	08h		;pocet pripoctenych bitu 8
	movwf	CTBIT
	movfw	T_RDS		;T_RDS do TMP1
	movwf	TMP
;..............................................................
vypcr0	rrf	TMP,f		;LSB do C
	bc	vypcr3		;C=1
	btfsc	CRC,7
	goto	vypcr4		;CRC(7)=1,C=0
vypcr1	bcf	C		;CRC(7).XOR.C=0
	rlf	CRC,f
vypcr2	decfsz	CTBIT,f
	goto	vypcr0
	return
;..............................................................
vypcr3	btfsc	CRC,7
	goto	vypcr1		;CRC(7).XOR.C=0
vypcr4	movlw	18h		;CRC(7).XOR.C=1
	xorwf	CRC,f		;CRC.XOR.18h
	bsf	C
	rlf	CRC,f
	goto	vypcr2
;**************************************************************
	end